Loading...
Searching...
No Matches
Dune::TypeTree::AccumulateType< Tree, Policy > Struct Template Reference
dune-typetree » Traversal

Statically accumulate a type over the nodes of a TypeTree. More...

`#include <dune/typetree/accumulate_static.hh>`

## Public Types

typedef accumulate_type< Tree, Policy, typenamePolicy::start_type, HybridTreePath<>, NodeTag< Tree > >::type | type
| The accumulated result of the computation.

## Detailed Description

template<typename Tree, typename Policy>
struct Dune::TypeTree::AccumulateType< Tree, Policy >

Statically accumulate a type over the nodes of a TypeTree.

This struct implements an algorithm for iterating over a tree and calculating an accumulated type at compile time.

Template Parameters

  Tree | The tree to iterate over.
  Policy | Model of TypeAccumulationPolicy controlling the behavior of the algorithm.

## Member Typedef Documentation

## type

template<typename Tree, typename Policy>

typedef accumulate_type<Tree,Policy,typenamePolicy::start_type,HybridTreePath<>,NodeTag<Tree>>::type Dune::TypeTree::AccumulateType< Tree, Policy >::type

The accumulated result of the computation.

The documentation for this struct was generated from the following file:

- accumulate_static.hh